<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetAsync("payin_m_01J334XF2V6751GRG9M2M558HG");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"AuthorId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"CreditedWalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96",
"DebitedBankAccount": {
"IBAN": "FR7630004000031234567890143",
"BIC": "BNPAFRPP",
"AccountNumber": null,
"Country": null,
"OwnerName": "Alex Smith",
"Type": "IBAN"
},
"BankingAliasId": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
"Type": "PAYIN",
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"Nature": "REGULAR",
"CreationDate": 1710847216,
"ExecutionDate": 1710847216,
"WireReference": "Example123",
"PaymentType": "BANK_WIRE",
"ExecutionType": "EXTERNAL_INSTRUCTION",
"DebitedWalletId": null,
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"DebitedFunds": {
"Currency": "EUR",
"Amount": 14654
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 14654
},
"Id": "payin_m_01HSB71JKJ9FVYZ61D97ZQ1ASR",
"Tag": null
}
Virtual IBAN
View a PayIn (External Instruction)
GET
/
v2.01
/
{ClientId}
/
payins
/
{PayInId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetAsync("payin_m_01J334XF2V6751GRG9M2M558HG");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"AuthorId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"CreditedWalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96",
"DebitedBankAccount": {
"IBAN": "FR7630004000031234567890143",
"BIC": "BNPAFRPP",
"AccountNumber": null,
"Country": null,
"OwnerName": "Alex Smith",
"Type": "IBAN"
},
"BankingAliasId": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
"Type": "PAYIN",
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"Nature": "REGULAR",
"CreationDate": 1710847216,
"ExecutionDate": 1710847216,
"WireReference": "Example123",
"PaymentType": "BANK_WIRE",
"ExecutionType": "EXTERNAL_INSTRUCTION",
"DebitedWalletId": null,
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"DebitedFunds": {
"Currency": "EUR",
"Amount": 14654
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 14654
},
"Id": "payin_m_01HSB71JKJ9FVYZ61D97ZQ1ASR",
"Tag": null
}
Note – Pay-in data retained for 13 monthsAn API call to retrieve a pay-in whose
CreationDate is older than 13 months may return 404 Not Found.For more information, see the Data availability periods article.Path parameters
string
required
The unique identifier of the pay-in.
Responses
200 - Response parameters
200 - Response parameters
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
The unique identifier of the user at the source of the transaction.
string
The unique identifier of the credited wallet.
object
Information about the debited bank account.Note: This information may only be available for EU IBANs.
Show properties
Show properties
string
Max. length: 34 charactersThe IBAN (international bank account number) of the bank account.
It follows the CCDDBBAN format in which:
- CC represents the country code (ISO 3166-1 alpha 2)
- DD represents two check digits used by banking systems to avoid simple errors
- BBAN stands for the Basic Bank Account Number which is up to 30 alphanumeric characters that are country-specific.
Note: You will need a valid IBAN (i.e., existing in real life) when testing on a Sandbox account even if no actual payout will be processed.
string
The BIC (international identifier of the bank) for IBAN or OTHER-type bank accounts.The BIC can have one of the two following formats:
- BIC8 – 8-character BIC (AAAABBCC)
- BIC11 – 11-character BIC (AAAABBCCDDD)
- AAAA represents the bank code: 4 characters defining the bank
- BB represents the country code: 2 characters forming the country ISO code (ISO 3166 format)
- CC represents the location code: 2 localization characters (alphabetical or numeric) to distinguish banks from the same country
- DDD represents the branch code: 3 characters used to define the branch of the bank (sometimes replaced with XXX)
string
The unique number of the bank account.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country in which the bank account is registered.
string
Max. length: 255 charactersThe full name of the owner of the bank account. (Format: FirstName LastName)
string
Returned values:
IBAN, US, CA, GB, OTHERThe type of the bank account.string
The unique identifier of the banking alias.
string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
Unix timestamp
The date and time at which the object was created.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
The reference of the bank wire received on the virtual IBAN, as provided by the user. If no reference was provided, then this value is
null.string
Returned values:
CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
The unique identifier of the debited wallet.In the case of a pay-in, this value is always
null since there is no debited wallet.object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the debited funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
{
"CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"AuthorId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"CreditedWalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96",
"DebitedBankAccount": {
"IBAN": "FR7630004000031234567890143",
"BIC": "BNPAFRPP",
"AccountNumber": null,
"Country": null,
"OwnerName": "Alex Smith",
"Type": "IBAN"
},
"BankingAliasId": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
"Type": "PAYIN",
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"Nature": "REGULAR",
"CreationDate": 1710847216,
"ExecutionDate": 1710847216,
"WireReference": "Example123",
"PaymentType": "BANK_WIRE",
"ExecutionType": "EXTERNAL_INSTRUCTION",
"DebitedWalletId": null,
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"DebitedFunds": {
"Currency": "EUR",
"Amount": 14654
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 14654
},
"Id": "payin_m_01HSB71JKJ9FVYZ61D97ZQ1ASR",
"Tag": null
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetAsync("payin_m_01J334XF2V6751GRG9M2M558HG");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?